net/rp-pppoe - The NetBSD Packages Collection

Roaring Penguin's PPP over Ethernet client

BSD port of Roaring Penguin's pppoe client by
Geoff Mottram .

This BSD port of Roaring Penguin's PPPoE client uses the Berkeley
Packet Filter to provide direct access to the Ethernet protocol
for the pppd(8) daemon.  It adds an additional feature that is
not found in the Linux distribution for watching PPPoE packets.
Details on this feature can be found in the "PPPoE Packet Watching"
section at the bottom of this file.

The Roaring Penguin PPPoE client is a robust product that has been
widely used and tested by the Linux community.  It integrates tightly
with the PPP daemon (pppd) to take advantage of all of the features of
that package.

The software has been tested on NetBSD 1.4.2 but should run on
any BSD variant that has pppd version 2.3.7 or later.  Note that
demand-dialing requires pppd 2.3.10 or later.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 8.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 8.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 8.0i386rp-pppoe-3.8nb2.tgz
NetBSD 8.0i386rp-pppoe-3.8nb2.tgz
NetBSD 8.0i386rp-pppoe-3.8nb2.tgz
NetBSD 8.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 8.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 8.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 8.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 8.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 8.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 8.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 9.0aarch64rp-pppoe-3.8nb2.tgz
NetBSD 9.0aarch64rp-pppoe-3.8nb2.tgz
NetBSD 9.0aarch64rp-pppoe-3.8nb2.tgz
NetBSD 9.0alpharp-pppoe-3.8nb2.tgz
NetBSD 9.0alpharp-pppoe-3.8nb2.tgz
NetBSD 9.0alpharp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv6hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv6hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv6hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv6hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0earmv7hfrp-pppoe-3.8nb2.tgz
NetBSD 9.0i386rp-pppoe-3.8nb2.tgz
NetBSD 9.0i386rp-pppoe-3.8nb2.tgz
NetBSD 9.0i386rp-pppoe-3.8nb2.tgz
NetBSD 9.0mips64ebrp-pppoe-3.8nb2.tgz
NetBSD 9.0mips64ebrp-pppoe-3.8nb2.tgz
NetBSD 9.0mips64ebrp-pppoe-3.8nb2.tgz
NetBSD 9.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 9.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 9.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 9.0powerpcrp-pppoe-3.8nb2.tgz
NetBSD 9.0sparc64rp-pppoe-3.8nb2.tgz
NetBSD 9.0sparc64rp-pppoe-3.8nb2.tgz
NetBSD 9.0sparc64rp-pppoe-3.8nb2.tgz
NetBSD 9.0sparc64rp-pppoe-3.8nb2.tgz
NetBSD 9.0sparcrp-pppoe-3.8nb2.tgz
NetBSD 9.0sparcrp-pppoe-3.8nb2.tgz
NetBSD 9.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 9.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 9.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 9.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 9.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 9.0x86_64rp-pppoe-3.8nb2.tgz
NetBSD 9.0x86_64rp-pppoe-3.8nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.